aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteUserPolicy

Synopsis

- data DeleteUserPolicy = DeleteUserPolicy {
  - dupPolicyName :: Text
  - dupUserName :: Text
  }
- data DeleteUserPolicyResponse = DeleteUserPolicyResponse

# Documentation

data DeleteUserPolicy Source #

Deletes the specified policy associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUserPolicy.html

Constructors

DeleteUserPolicy |

Fields

- dupPolicyName :: Text

  Name of the policy to be deleted.

- dupUserName :: Text

  Name of the user with whom the policy is associated.

#### Instances

Instances details

SignQuery DeleteUserPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ServiceConfiguration DeleteUserPolicy |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration

Methods

signQuery :: DeleteUserPolicy -> ServiceConfiguration DeleteUserPolicy queryType -> SignatureData -> SignedQuery Source #

Show DeleteUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods showsPrec :: Int -> DeleteUserPolicy -> ShowS Source # show :: DeleteUserPolicy -> String Source # showList :: [DeleteUserPolicy] -> ShowS Source #
Eq DeleteUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods (==) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool Source # (/=) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool Source #
Ord DeleteUserPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Methods

compare :: DeleteUserPolicy -> DeleteUserPolicy -> Ordering Source #

(<) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool Source #

(<=) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool Source #

(>) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool Source #

(>=) :: DeleteUserPolicy -> DeleteUserPolicy -> Bool Source #

max :: DeleteUserPolicy -> DeleteUserPolicy -> DeleteUserPolicy Source #

min :: DeleteUserPolicy -> DeleteUserPolicy -> DeleteUserPolicy Source #

ResponseConsumer DeleteUserPolicy DeleteUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ResponseMetadata DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUserPolicy -> IORef (ResponseMetadata DeleteUserPolicyResponse) -> HTTPResponseConsumer DeleteUserPolicyResponse Source #

Transaction DeleteUserPolicy DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
type ServiceConfiguration DeleteUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration

data DeleteUserPolicyResponse Source #

Constructors

DeleteUserPolicyResponse |

#### Instances

Instances details

AsMemoryResponse DeleteUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type MemoryResponse DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse

Methods

loadToMemory :: DeleteUserPolicyResponse -> ResourceT IO (MemoryResponse DeleteUserPolicyResponse) Source #

Show DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods showsPrec :: Int -> DeleteUserPolicyResponse -> ShowS Source # show :: DeleteUserPolicyResponse -> String Source # showList :: [DeleteUserPolicyResponse] -> ShowS Source #
Eq DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy Methods (==) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool Source # (/=) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool Source #
Ord DeleteUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Methods

compare :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Ordering Source #

(<) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool Source #

(<=) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool Source #

(>) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool Source #

(>=) :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> Bool Source #

max :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> DeleteUserPolicyResponse Source #

min :: DeleteUserPolicyResponse -> DeleteUserPolicyResponse -> DeleteUserPolicyResponse Source #

ResponseConsumer DeleteUserPolicy DeleteUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ResponseMetadata DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUserPolicy -> IORef (ResponseMetadata DeleteUserPolicyResponse) -> HTTPResponseConsumer DeleteUserPolicyResponse Source #

Transaction DeleteUserPolicy DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
type MemoryResponse DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse
type ResponseMetadata DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata